# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Test/CheckDeps.pm) perl(Test/More.pm) perl(Text/Tabs.pm) perl(Tickit.pm) perl(Tickit/Widget.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_version 0.004
%define module_name Tickit-Widget-FileViewer
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.004
Release: alt1
Summary: Simple file-viewing widget for Tickit
Group: Development/Perl
License: perl
URL: http://search.cpan.org/dist/Tickit-Widget-FileViewer/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TE/TEAM/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
use Tickit::Async;
 use Tickit::Widget::FileViewer;
 my $tickit = Tickit::Async->new;
 my $viewer = Tickit::Widget::FileViewer->new(
   file => 'somefile.txt',
 );
 $tickit->set_root_widget($viewer);
 my $loop = IO::Async::Loop->new;
 $loop->add($tickit);
 $tickit->run;
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README examples
%perl_vendor_privlib/T*

%changelog
* Wed Aug 03 2016 Igor Vlasenko <viy@altlinux.ru> 0.004-alt1
- initial import by package builder

